import * as z from 'zod';
import { PatientStatusSchema } from '../../enums/PatientStatus.schema';
// prettier-ignore
export const AppointmentInputSchema = z.object({
    id: z.number().int(),
    patientId: z.number().int(),
    userId: z.number().int(),
    staffId: z.number().int(),
    title: z.string(),
    date: z.date(),
    startTime: z.string(),
    endTime: z.string(),
    type: z.string(),
    typeLocked: z.boolean(),
    notes: z.string().optional().nullable(),
    procedureCodeNotes: z.string().optional().nullable(),
    status: z.string(),
    movedByAi: z.boolean(),
    createdAt: z.date(),
    eligibilityStatus: PatientStatusSchema,
    patient: z.unknown(),
    user: z.unknown(),
    staff: z.unknown().optional().nullable(),
    procedures: z.array(z.unknown()),
    claims: z.array(z.unknown()),
    files: z.array(z.unknown())
}).strict();

export type AppointmentInputType = z.infer<typeof AppointmentInputSchema>;
